Get a single link by its ID

http
GET https://services.leadconnectorhq.com/links/id/{linkId}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
linkIdstringYesLink Id

Query parameters

NameTypeRequiredExampleDescription
locationIdstringYesABCHkzuJQ8ZMd4Te84GKAccount Id

Responses

200 - Successful response
  • link (object)

    • id (string): Example: n4AriwEnFrGh3tu08W0U

    • name (string): Example: first tag

    • redirectTo (string): Example: https://www.google.com/

    • fieldKey (string): Example: {{trigger_link.n4AriwEnFrGh3tu08W0U}}

    • locationId (string): Example: ve9EPM428h8vShlRW1KT

json
{
  "link": {
    "id": "n4AriwEnFrGh3tu08W0U",
    "name": "first tag",
    "redirectTo": "https://www.google.com/",
    "fieldKey": "{{trigger_link.n4AriwEnFrGh3tu08W0U}}",
    "locationId": "ve9EPM428h8vShlRW1KT"
  }
}
400 - Bad Request
  • statusCode (number): Example: 400

  • message (string): Example: Bad Request

json
{
  "statusCode": 400,
  "message": "Bad Request"
}
401 - Unauthorized
  • statusCode (number): Example: 401

  • message (string): Example: Invalid token: access token is invalid

  • error (string): Example: Unauthorized

json
{
  "statusCode": 401,
  "message": "Invalid token: access token is invalid",
  "error": "Unauthorized"
}

Example

curl -X GET 'https://services.leadconnectorhq.com/links/id/YOUR_linkId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?